function [ H ] = entropy( Y )
%ENTROPY of a graph Y
%
% H(Y) = - sum_{Y in y} p(x) log(p(y))
    mask = triu(true(size(Y)),1); %that's the upper triangular of the original graph
    vY = Y(mask);
    binary = logical([0,1]);
    H = 0;            
    for y=binary
         py = sum(vY == y)/length(vY);
         H = H - logMult(py, py);
    end
end

